=== modified file 'tests.py'
--- tests.py	2006-02-21 04:42:50 +0000
+++ tests.py	2006-02-21 04:52:27 +0000
@@ -139,3 +139,26 @@
         file('foo', 'wb').write('baz')
         self.run_bzr('shelve', 'foo', retcode=0)
 
+    def test_shelf_show_basic(self):
+        tree = self.make_branch_and_tree('.')
+        self.__create_and_add_test_file(tree)
+
+        # Modify the test file
+        self.build_tree_contents([('test_file', self.MODIFIED)])
+
+        # Shelve the changes
+        self.run_bzr('shelve', retcode=0)
+
+        # Make sure there is no diff anymore
+        self.assertEqual(self.capture('diff', retcode=0), '')
+
+        # Check the shelf is right
+        shelf = open(os.path.join(tree.branch.base,
+                    '.shelf/shelves/default/00')).read()
+        shelf = shelf[shelf.index('\n') + 1:] # skip the message
+        self.assertEqual(shelf, self.DIFF_1)
+
+        # Check the shown output is right
+        shown = self.capture('shelf show 00', retcode=0)
+        shown = shown[shown.index('\n') + 1:] # skip the message
+        self.assertEqual(shown, shelf)

